org.apache.sling.performance

## Class ResourceResolverTestRequest

- java.lang.Object
- - org.apache.sling.performance.ResourceResolverTestRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class ResourceResolverTestRequest
    extends Object
    implements javax.servlet.http.HttpServletRequest

### Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

### Constructor Summary

Constructors
Constructor and Description
`ResourceResolverTestRequest(String pathInfo)`
`ResourceResolverTestRequest(String pathInfo, String httpMethod)`
`ResourceResolverTestRequest(String scheme, String host, int port, String pathInfo)`
`ResourceResolverTestRequest(String scheme, String host, int port, String pathInfo, String httpMethod)`

### Method Summary

Methods
`Object` `getAttribute(String name)`
`Enumeration<?>` `getAttributeNames()`
`String` `getAuthType()`
`String` `getCharacterEncoding()`
`int` `getContentLength()`
`String` `getContentType()`
`String` `getContextPath()`
`javax.servlet.http.Cookie[]` `getCookies()`
`long` `getDateHeader(String name)`
`String` `getHeader(String name)`
`Enumeration<?>` `getHeaderNames()`
`Enumeration<?>` `getHeaders(String name)`
`javax.servlet.ServletInputStream` `getInputStream()`
`int` `getIntHeader(String name)`
`String` `getLocalAddr()`
`Locale` `getLocale()`
`Enumeration<?>` `getLocales()`
`String` `getLocalName()`
`int` `getLocalPort()`
`String` `getMethod()`
`String` `getParameter(String name)`
`Map<?,?>` `getParameterMap()`
`Enumeration<?>` `getParameterNames()`
`String[]` `getParameterValues(String name)`
`String` `getPathInfo()`
`String` `getPathTranslated()`
`String` `getProtocol()`
`String` `getQueryString()`
`BufferedReader` `getReader()`
`String` `getRealPath(String path)`
`String` `getRemoteAddr()`
`String` `getRemoteHost()`
`int` `getRemotePort()`
`String` `getRemoteUser()`
`javax.servlet.RequestDispatcher` `getRequestDispatcher(String path)`
`String` `getRequestedSessionId()`
`String` `getRequestURI()`
`StringBuffer` `getRequestURL()`
`String` `getScheme()`
`String` `getServerName()`
`int` `getServerPort()`
`String` `getServletPath()`
`javax.servlet.http.HttpSession` `getSession()`
`javax.servlet.http.HttpSession` `getSession(boolean create)`
`Principal` `getUserPrincipal()`
`boolean` `isRequestedSessionIdFromCookie()`
`boolean` `isRequestedSessionIdFromUrl()`
`boolean` `isRequestedSessionIdFromURL()`
`boolean` `isRequestedSessionIdValid()`
`boolean` `isSecure()`
`boolean` `isUserInRole(String role)`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object o)`
`void` `setCharacterEncoding(String env)`
`void` `setContextPath(String contextPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceResolverTestRequest

    public ResourceResolverTestRequest(String pathInfo)

#### ResourceResolverTestRequest

    public ResourceResolverTestRequest(String pathInfo,
                               String httpMethod)

#### ResourceResolverTestRequest

    public ResourceResolverTestRequest(String scheme,
                               String host,
                               int port,
                               String pathInfo)

#### ResourceResolverTestRequest

    public ResourceResolverTestRequest(String scheme,
                               String host,
                               int port,
                               String pathInfo,
                               String httpMethod)

### Method Detail

#### getAttribute

    public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `javax.servlet.ServletRequest`

#### getAttributeNames

    public Enumeration<?> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `javax.servlet.ServletRequest`

#### getAuthType

    public String getAuthType()

Specified by:
  `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

#### getCharacterEncoding

    public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

#### getContentLength

    public int getContentLength()

Specified by:
  `getContentLength` in interface `javax.servlet.ServletRequest`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `javax.servlet.ServletRequest`

#### getContextPath

    public String getContextPath()

Specified by:
  `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

#### getCookies

    public javax.servlet.http.Cookie[] getCookies()

Specified by:
  `getCookies` in interface `javax.servlet.http.HttpServletRequest`

#### getDateHeader

    public long getDateHeader(String name)

Specified by:
  `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

#### getHeader

    public String getHeader(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletRequest`

#### getHeaderNames

    public Enumeration<?> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

#### getHeaders

    public Enumeration<?> getHeaders(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

#### getInputStream

    public javax.servlet.ServletInputStream getInputStream()

Specified by:
  `getInputStream` in interface `javax.servlet.ServletRequest`

#### getIntHeader

    public int getIntHeader(String name)

Specified by:
  `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

#### getLocalAddr

    public String getLocalAddr()

Specified by:
  `getLocalAddr` in interface `javax.servlet.ServletRequest`

#### getLocale

    public Locale getLocale()

Specified by:
  `getLocale` in interface `javax.servlet.ServletRequest`

#### getLocales

    public Enumeration<?> getLocales()

Specified by:
  `getLocales` in interface `javax.servlet.ServletRequest`

#### getLocalName

    public String getLocalName()

Specified by:
  `getLocalName` in interface `javax.servlet.ServletRequest`

#### getLocalPort

    public int getLocalPort()

Specified by:
  `getLocalPort` in interface `javax.servlet.ServletRequest`

#### getMethod

    public String getMethod()

Specified by:
  `getMethod` in interface `javax.servlet.http.HttpServletRequest`

#### getParameter

    public String getParameter(String name)

Specified by:
  `getParameter` in interface `javax.servlet.ServletRequest`

#### getParameterMap

    public Map<?,?> getParameterMap()

Specified by:
  `getParameterMap` in interface `javax.servlet.ServletRequest`

#### getParameterNames

    public Enumeration<?> getParameterNames()

Specified by:
  `getParameterNames` in interface `javax.servlet.ServletRequest`

#### getParameterValues

    public String[] getParameterValues(String name)

Specified by:
  `getParameterValues` in interface `javax.servlet.ServletRequest`

#### getPathInfo

    public String getPathInfo()

Specified by:
  `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

#### getPathTranslated

    public String getPathTranslated()

Specified by:
  `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

#### getProtocol

    public String getProtocol()

Specified by:
  `getProtocol` in interface `javax.servlet.ServletRequest`

#### getQueryString

    public String getQueryString()

Specified by:
  `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

#### getReader

    public BufferedReader getReader()

Specified by:
  `getReader` in interface `javax.servlet.ServletRequest`

#### getRealPath

    public String getRealPath(String path)

Specified by:
  `getRealPath` in interface `javax.servlet.ServletRequest`

#### getRemoteAddr

    public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `javax.servlet.ServletRequest`

#### getRemoteHost

    public String getRemoteHost()

Specified by:
  `getRemoteHost` in interface `javax.servlet.ServletRequest`

#### getRemotePort

    public int getRemotePort()

Specified by:
  `getRemotePort` in interface `javax.servlet.ServletRequest`

#### getRemoteUser

    public String getRemoteUser()

Specified by:
  `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

#### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(String path)

Specified by:
  `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

#### getRequestedSessionId

    public String getRequestedSessionId()

Specified by:
  `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

#### getRequestURI

    public String getRequestURI()

Specified by:
  `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

#### getRequestURL

    public StringBuffer getRequestURL()

Specified by:
  `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

#### getScheme

    public String getScheme()

Specified by:
  `getScheme` in interface `javax.servlet.ServletRequest`

#### getServerName

    public String getServerName()

Specified by:
  `getServerName` in interface `javax.servlet.ServletRequest`

#### getServerPort

    public int getServerPort()

Specified by:
  `getServerPort` in interface `javax.servlet.ServletRequest`

#### getServletPath

    public String getServletPath()

Specified by:
  `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

#### getSession

    public javax.servlet.http.HttpSession getSession()

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

#### getSession

    public javax.servlet.http.HttpSession getSession(boolean create)

Specified by:
  `getSession` in interface `javax.servlet.http.HttpServletRequest`

#### getUserPrincipal

    public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

#### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

Specified by:
  `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

#### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

Specified by:
  `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

#### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

Specified by:
  `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

#### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

Specified by:
  `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

#### isSecure

    public boolean isSecure()

Specified by:
  `isSecure` in interface `javax.servlet.ServletRequest`

#### isUserInRole

    public boolean isUserInRole(String role)

Specified by:
  `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

#### removeAttribute

    public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `javax.servlet.ServletRequest`

#### setAttribute

    public void setAttribute(String name,
                    Object o)

Specified by:
  `setAttribute` in interface `javax.servlet.ServletRequest`

#### setCharacterEncoding

    public void setCharacterEncoding(String env)

Specified by:
  `setCharacterEncoding` in interface `javax.servlet.ServletRequest`

#### setContextPath

    public void setContextPath(String contextPath)